% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/conos.R
\name{quickCCA}
\alias{quickCCA}
\title{Perform CCA (using PMA package or otherwise) on two samples}
\usage{
quickCCA(
  r.n,
  data.type = "counts",
  ncomps = 100,
  n.odgenes = NULL,
  var.scale = TRUE,
  verbose = TRUE,
  PMA = FALSE,
  score.component.variance = FALSE
)
}
\arguments{
\item{r.n}{list of pagoda2 objects}

\item{data.type}{character Type of data type in the input pagoda2 objects within r.n (default='counts')}

\item{ncomps}{numeric Number of components to calculate (default=100)}

\item{n.odgenes}{numeric Number of overdispersed genes to take from each dataset}

\item{var.scale}{boolean Whether to scale variance (default=TRUE)}

\item{verbose}{boolean Whether to be verbose (default=TRUE)}

\item{score.component.variance}{boolean Whether to score component variance (default=FALSE)}
}
\description{
Perform CCA (using PMA package or otherwise) on two samples
}
\keyword{internal}
